org.apache.ode.daohib.bpel.hobj

## Class HScope

- java.lang.Object
- - org.apache.ode.daohib.bpel.hobj.HObject
  - - org.apache.ode.daohib.bpel.hobj.HScope

-     public class HScope
      extends HObject

  Hibernate table representing a BPEL scope instance.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SELECT_SCOPE_IDS_BY_INSTANCES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HScope()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<HCorrelationSet>` | `getCorrelationSets()`
    `HProcessInstance` | `getInstance()` Get the `HProcessInstance` to which this scope object belongs.
    `java.lang.String` | `getName()` Get the type (i.e. the name) of the scope.
    `HScope` | `getParentScope()` Get the "parent" `HScope` of this scope.
    `java.util.Set<HPartnerLink>` | `getPartnerLinks()` Get the endpoint references for partner links roles associated with this scope.
    `int` | `getScopeModelId()`
    `java.lang.String` | `getState()`
    `java.util.Set<HXmlData>` | `getVariables()` Get the variable values associated with this scope.
    `void` | `setCorrelationSets(java.util.Set<HCorrelationSet> correlationSets)`
    `void` | `setInstance(HProcessInstance instance)`
    `void` | `setName(java.lang.String name)`
    `void` | `setParentScope(HScope parentScope)`
    `void` | `setPartnerLinks(java.util.Set<HPartnerLink> eprs)`
    `void` | `setScopeModelId(int scopeModelId)`
    `void` | `setState(java.lang.String state)`
    `void` | `setVariables(java.util.Set<HXmlData> variables)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.ode.daohib.bpel.hobj.HObject

      `getCreated, getId, getLock, setCreated, setId, setLock, toIdArray, toIdArray`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SELECT_SCOPE_IDS_BY_INSTANCES

          public static final java.lang.String SELECT_SCOPE_IDS_BY_INSTANCES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HScope

          public HScope()

  - ### Method Detail

    - #### getCorrelationSets

          public java.util.Set<HCorrelationSet> getCorrelationSets()

    - #### setCorrelationSets

          public void setCorrelationSets(java.util.Set<HCorrelationSet> correlationSets)

    - #### getInstance

          public HProcessInstance getInstance()

      Get the `HProcessInstance` to which this scope object belongs.

    - #### setInstance

          public void setInstance(HProcessInstance instance)

      See Also:
        `getInstance()`

    - #### getParentScope

          public HScope getParentScope()

      Get the "parent" `HScope` of this scope.

    - #### setParentScope

          public void setParentScope(HScope parentScope)

      See Also:
        `getParentScope()`

    - #### getState

          public java.lang.String getState()

    - #### setState

          public void setState(java.lang.String state)

      See Also:
        `getState()`

    - #### getName

          public java.lang.String getName()

      Get the type (i.e. the name) of the scope.

    - #### setName

          public void setName(java.lang.String name)

      See Also:
        `getName()`

    - #### getVariables

          public java.util.Set<HXmlData> getVariables()

      Get the variable values associated with this scope.
      Returns:
        `Set`<`HXmlData`> with variable values

    - #### setVariables

          public void setVariables(java.util.Set<HXmlData> variables)

    - #### getPartnerLinks

          public java.util.Set<HPartnerLink> getPartnerLinks()

      Get the endpoint references for partner links roles associated with this scope.
      Returns:
        `Set`<`HPartnerLink`> with variable values

    - #### setPartnerLinks

          public void setPartnerLinks(java.util.Set<HPartnerLink> eprs)

    - #### getScopeModelId

          public int getScopeModelId()

    - #### setScopeModelId

          public void setScopeModelId(int scopeModelId)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `HObject`